%define name curlftpfs
%define version 0.9.2
%define release %mkrel 5

Name:		%name
Version:	%version
Release:	%release
Url:		http://curlftpfs.sourceforge.net/
Summary:	Filesystem for accessing FTP hosts based on FUSE and libcurl
License:	GPL+
Group:		Networking/Other
BuildRequires:	curl-devel
BuildRequires:	fuse-devel
BuildRequires:	glib2-devel
Requires:	fuse
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		curlftpfs-0.9.2-automake-1.13.patch

%description
CurlFtpFS is a filesystem for accessing FTP hosts based on FUSE and libcurl.

CurlFtpFS diferentiates itself from other FTP filesystems because it features:

    * SSLv3 and TLSv1 support
    * connecting through tunneling HTTP proxies
    * automatically reconnection if the server times out
    * transform absolute symlinks to point back into the ftp file system

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.9.2-5.mga3
+ Revision: 348496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 fwang <fwang> 0.9.2-4.mga3
+ Revision: 338031
- fix build with automake 1.13

* Fri Apr 08 2011 ennael <ennael> 0.9.2-4.mga1
+ Revision: 82136
- clean spec file
- imported package curlftpfs

